View Issue Details

IDProjectCategoryView StatusLast Update
0000428bareos-corefile daemonpublic2015-06-01 16:24
Reportergeowulf Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentOSOS Version6
Product Version14.2.2 
Summary0000428: bpipe plugin on windows and colon character problem
DescriptionIt is not possible to use colon character ":" in the READER command parameters
Escape character is not working too.

e.g. backup of firebird DB. See below:

FileSet {
    Name = "firebird"
    EnableVSS = no
    Include {
        Options {
            Signature = MD5
            Compression = GZIP
        }
        Plugin = "bpipe:file=DB_TEST:reader=gbak.exe -backup -user user -password password SERVER:TEST_DB STDOUT"
    }
}

Always returned with error:

2015-02-27 12:35:45 bareos-dir JobId 38: No prior Full backup Job record found.
2015-02-27 12:35:45 bareos-dir JobId 38: No prior or suitable Full backup found in catalog. Doing FULL backup.
2015-02-27 12:35:47 bareos-dir JobId 38: Start Backup JobId 38, Job=Firebird-Test.2015-02-27_12.35.45_49
2015-02-27 12:35:47 bareos-dir JobId 38: Using Device "BRSDEV_01" to write.
2015-02-27 12:35:48 test JobId 38: Fatal error: Illegal argument TEST_CZ STDOUT without value
Steps To ReproduceE.g. use full path for READER command C:\\Program Files\\Firebird ....
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impact
bareos-13.2: actionnone
bareos-12.4: impact
bareos-12.4: actionnone

Relationships

child of 0000447 closedjoergs Release bareos-14.2.5 

Activities

mvwieringen

mvwieringen

2015-02-28 14:17

developer   ~0001282

Correct bpipe and any other plugin never had support for escaping the
special character ':' which is clasified as a separator and an illegal
character in the current plugin parsers. As I already ran into this problem
while writing the gfapi plugin for GlusterFS there is some code to escape the
special character using \: in that plugin. If we backport this code it should
be possible to allow this construct in the other plugins too as we implemented
the same parser in each plugin available today.

So this is more a matter of time before we will close this feature request.
I changed it to a feature request as its a known and calculated design decision.
pstorz

pstorz

2015-03-27 18:16

administrator   ~0001655

Fix committed to bareos master branch with changesetid 5144.
mvwieringen

mvwieringen

2015-05-29 18:06

developer   ~0001750

Fix committed to bareos bareos-14.2 branch with changesetid 5314.

Related Changesets

bareos: master f9214b8f

2015-02-27 20:54:58

mvwieringen


Committer: pstorz

Ported: N/A

Details Diff
Add escape parsing to generic plugin option parser.

Backport the new escaping of the ':' using '\:' to all existing plugin
config parsers. This code comes from the new cephfs-fd and gfapi-fd
plugins.

Fixes 0000428: bpipe plugin on windows and colon character problem
Affected Issues
0000428
mod - src/plugins/dird/python-dir.c Diff File
mod - src/plugins/filed/bpipe-fd.c Diff File
mod - src/plugins/filed/python-fd.c Diff File
mod - src/plugins/filed/rados-fd.c Diff File
mod - src/plugins/stored/python-sd.c Diff File
mod - src/win32/plugins/filed/mssqlvdi-fd.c Diff File

bareos: bareos-14.2 c5425bd7

2015-02-27 20:54:58

mvwieringen

Ported: N/A

Details Diff
Add escape parsing to generic plugin option parser.

Backport the new escaping of the ':' using '\:' to all existing plugin
config parsers. This code comes from the new cephfs-fd and gfapi-fd
plugins.

Fixes 0000428: bpipe plugin on windows and colon character problem
Affected Issues
0000428
mod - src/plugins/dird/python-dir.c Diff File
mod - src/plugins/filed/bpipe-fd.c Diff File
mod - src/plugins/filed/python-fd.c Diff File
mod - src/plugins/stored/python-sd.c Diff File
mod - src/win32/plugins/filed/mssqlvdi-fd.c Diff File

Issue History

Date Modified Username Field Change
2015-02-27 13:05 geowulf New Issue
2015-02-28 14:11 mvwieringen Severity minor => feature
2015-02-28 14:17 mvwieringen Note Added: 0001282
2015-02-28 14:18 mvwieringen Assigned To => mvwieringen
2015-02-28 14:18 mvwieringen Status new => feedback
2015-03-27 18:16 pstorz Changeset attached => bareos master f9214b8f
2015-03-27 18:16 pstorz Note Added: 0001655
2015-03-27 18:16 pstorz Status feedback => resolved
2015-03-27 18:16 pstorz Resolution open => fixed
2015-03-31 15:25 mvwieringen adm Assigned To mvwieringen =>
2015-05-27 12:51 joergs Relationship added child of 0000447
2015-05-27 12:52 joergs bareos-master: impact => yes
2015-05-27 12:52 joergs bareos-master: action => fixed
2015-05-27 12:52 joergs bareos-14.2: impact => yes
2015-05-27 12:52 joergs bareos-14.2: action => will care
2015-05-27 14:18 pstorz bareos-13.2: action => none
2015-05-27 14:18 pstorz bareos-12.4: action => none
2015-05-29 18:06 mvwieringen Changeset attached => bareos bareos-14.2 c5425bd7
2015-05-29 18:06 mvwieringen Note Added: 0001750
2015-06-01 16:24 joergs bareos-14.2: action will care => fixed
2015-06-01 16:24 joergs Status resolved => closed